Subject: Re: [sfc] [Technical Errata Reported] RFC7665 (4974)

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Tue, 21 Mar 2017 12:31:03 +0000

I do not believe this edit is necessary.

The sentence starts with “A non-exhaustive list”, which sets the tone and context for the enumeration of abstract service functions.

Thanks,

— Carlos.

> On Mar 21, 2017, at 8:13 AM, RFC Errata System <[email-masked]> wrote:
> 
> The following errata report has been submitted for RFC7665,
> "Service Function Chaining (SFC) Architecture".
> 
> --------------------------------------
> You may review the report below and at:
> http://www.rfc-editor.org/errata_search.php?rfc=7665&eid=4974
> 
> --------------------------------------
> Type: Technical
> Reported by: Phaneendra Manda <[email-masked]>
> 
> Section: 1.4
> 
> Original Text
> -------------
> One or more service functions can be involved in the delivery of
> added-value services.  A non-exhaustive list of abstract service
> functions includes: firewalls, WAN and application acceleration,
> Deep Packet Inspection (DPI), Lawful Intercept (LI), server load
> balancing, NAT44 [RFC3022], NAT64 [RFC6146], NPTv6 [RFC6296],
> HOST_ID injection, HTTP Header Enrichment functions, and TCP
> optimizer.
> 
> Corrected Text
> --------------
> One or more service functions can be involved in the delivery of
> added-value services.  A non-exhaustive list of abstract service
> functions includes: firewalls, WAN and application acceleration,
> Deep Packet Inspection (DPI), Lawful Intercept (LI), server load
> balancing, NAT44 [RFC3022], NAT64 [RFC6146], NPTv6 [RFC6296],
> HOST_ID injection, HTTP Header Enrichment functions, TCP
> optimizer, Parental control etc.
> 
> Notes
> -----
> Parental control can be added in the non-exhaustive list of abstract service functions. Also this list cannot be fixed, so etc an be added at the end of the list.
> 
> Instructions:
> -------------
> This erratum is currently posted as "Reported". If necessary, please
> use "Reply All" to discuss whether it should be verified or
> rejected. When a decision is reached, the verifying party  
> can log in to change the status and edit the report, if necessary. 
> 
> --------------------------------------
> RFC7665 (draft-ietf-sfc-architecture-11)
> --------------------------------------
> Title               : Service Function Chaining (SFC) Architecture
> Publication Date    : October 2015
> Author(s)           : J. Halpern, Ed., C. Pignataro, Ed.
> Category            : INFORMATIONAL
> Source              : Service Function Chaining
> Area                : Routing
> Stream              : IETF
> Verifying Party     : IESG

---

From: RFC Errata System <[email-masked]>
Date: Tue, 21 Mar 2017 05:13:14 -0700 (PDT)

Section: 1.4

Original Text
-------------

Corrected Text
--------------

Notes
-----

Instructions:
-------------